function OnWorldPostUpdate()
    local wands = EntityGetWithTag( "wand" ) or {};
    for _,wand in pairs(wands) do
        if not EntityHasTag( wand, "no-edit_locked" ) then
            EntityAddTag( wand, "no-edit_locked" );
            local children = EntityGetAllChildren(wand) or {};
            for _,child in pairs(children) do
                local components = EntityGetAllComponents( child ) or {};
                for _,component in pairs(components) do
                    if ComponentGetTypeName( component ) == "ItemComponent" then
                        ComponentSetValue( component, "is_frozen", "1" );
                    end
                end
            end
        end
    end
end
